.container{
    max-width: 1100px;
    margin: 0 auto;
    overflow: auto;
    padding: 0 40px;
}

.card{
    background-color: #fff;
    color: #333;
    border-radius: 10px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);
    padding: 20px;
    margin: 10px;
}

.text-center{
    text-align: center;
}

.btn{
    display: inline-block;
    padding: 10px 30px;
    cursor: pointer;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 5px;
}

.btn-outline{
    background-color: transparent;
    border: 1px #fff solid;
}

.btn:hover{
    transform: scale(0.98);
}

/* Backgrounds and colored buttons */

.bg-primary, .btn-primary{
    background-color: var(--primary-color);
    color: #fff;
}

.bg-secondary, .btn-secondary{
    background-color: var(--secondary-color);
    color: #fff;
}

.bg-dark, .btn-dark{
    background-color: var(--dark-color);
    color: #fff;
}

.bg-light, .btn-light{
    background-color: var(--light-color);
    color: #333;
}
.bg-primary a, .btn-primary a, .bg-secondary a, .btn-secondary a, .bg-dark a, .btn-dark a{
    color: #fff;
}

/* .bg-light a, .btn-light a{
    color: #333;
} */

/* Text styles */

.lead{
    font-size: 20px;
}

.sm-text{
    font-size: 1rem;
}

.md-text{
    font-size: 2rem;
}

.lg-text{
    font-size: 3rem;
}
.xl-text{
    font-size: 3.5rem;
}
.text-center{
    text-align: center;
}

/* Text colors */

.text-primary{
    color: var(--primary-color);
    
}

.text-secondary{
    color: var(--secondary-color);
    
}

.text-dark{
    color: var(--dark-color);
    
}

.text-light{
    color: var(--light-color);
}

/* Alerts */

.alert{
    background-color: var(--light-color);
    padding: 10px 20px;
    font-weight: bold;
    margin: 15px 0;
}

.alert i{
    margin-right: 10px;
}

.alert-success{
    background-color: var(--success-color);
    color: #fff;
}

.alert-fail{

    background-color: var(--fail-color);
}

/* Layout styles */

.flex{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.grid-3{
    grid-template-columns: 1fr 1fr 1fr;
}

/* Margins */

.marginY-1{
    margin: 1rem 0;
}

.marginY-2{
    margin: 1.5rem 0;
}
.marginY-3{
    margin: 2rem 0;
}

.marginY-4{
    margin: 3rem 0;
}
.marginY-5{
    margin: 4rem 0;
}

.margin-1{
    margin: 1rem;
}

.margin-2{
    margin: 1.5rem;
}
.margin-3{
    margin: 2rem;
}

.margin-4{
    margin: 3rem;
}
.margin-5{
    margin: 4rem;
}

/* paddings */

.paddingY-1{
    padding: 1rem 0;
}

.paddingY-2{
    padding: 1.5rem 0;
}
.paddingY-3{
    padding: 2rem 0;
}

.paddingY-4{
    padding: 3rem 0;
}
.paddingY-5{
    padding: 4rem 0;
}

.padding-1{
    padding: 1rem;
}

.padding-2{
    padding: 1.5rem;
}
.padding-3{
    padding: 2rem;
}

.padding-4{
    padding: 3rem;
}
.padding-5{
    padding: 4rem;
}